umbrello: UMLClassifierListItem Class Reference

umbrello 2.32.3 Umbrello UML Modeller is a Unified Modelling Language (UML) diagram program based on KDE Technology

Public Member Functions | List of all members
UMLClassifierListItem Class Referenceabstract

A base class for classifier list items (e.g. attributes) More...

`#include <classifierlistitem.h>`

Inheritance diagram for UMLClassifierListItem:

## Public Member Functions
| UMLClassifierListItem (UMLObject *parent, const QString &name, Uml::ID::Type id=Uml::ID::None)
| UMLClassifierListItem (UMLObject *parent)
virtual | ~UMLClassifierListItem ()
virtual void | setType (UMLObject *type)
UMLClassifier * | getType () const
void | setTypeName (const QString &type)
virtual QString | getTypeName () const
virtual QString | toString (Uml::SignatureType::Enum sig=Uml::SignatureType::NoSig, bool withStereotype=false)
virtual void | copyInto (UMLObject *lhs) const
virtual UMLObject * | clone () const =0
Public Member Functions inherited from UMLObject
| UMLObject (const UMLObject &other)
| UMLObject (UMLObject *parent, const QString &name, Uml::ID::Type id=Uml::ID::None)
| UMLObject (UMLObject *parent)
| UMLObject (const QString &name=QString(), Uml::ID::Type id=Uml::ID::None)
virtual | ~UMLObject ()
bool | operator== (const UMLObject &rhs) const
virtual void | setBaseType (ObjectType ot)
ObjectType | baseType () const
QLatin1String | baseTypeStr () const
virtual void | setID (Uml::ID::Type NewID)
virtual Uml::ID::Type | id () const
QString | doc () const
bool | hasDoc () const
void | setDoc (const QString &d)
void | setVisibility (Uml::Visibility::Enum visibility)
void | setVisibilityCmd (Uml::Visibility::Enum visibility)
Uml::Visibility::Enum | visibility () const
void | setStereotype (const QString &_name)
void | setStereotypeCmd (const QString &_name)
QString | stereotype (bool includeAdornments=false) const
void | setUMLStereotype (UMLStereotype *stereo)
UMLStereotype * | umlStereotype ()
QString | package (const QString &separator=QString(), bool includeRoot=false)
UMLPackageList | packages (bool includeRoot=false) const
bool | setUMLPackage (UMLPackage *pPkg)
UMLPackage * | umlPackage () const
void | setUMLParent (UMLObject *parent)
UMLObject * | umlParent () const
virtual void | setName (const QString &strName)
virtual void | setNameCmd (const QString &strName)
QString | name () const
virtual QString | fullyQualifiedName (const QString &separator=QString(), bool includeRoot=false) const
void | setAbstract (bool bAbstract)
bool | isAbstract () const
virtual bool | showPropertiesDialog (QWidget *parent=0)
virtual bool | resolveRef ()
virtual void | saveToXMI1 (QDomDocument &qDoc, QDomElement &qElement)
virtual bool | loadFromXMI1 (QDomElement &element)
bool | loadStereotype (QDomElement &element)
void | setStatic (bool bStatic)
bool | isStatic () const
virtual bool | acceptAssociationType (Uml::AssociationType::Enum)
void | setSecondaryId (const QString &id)
QString | secondaryId () const
void | setSecondaryFallback (const QString &id)
QString | secondaryFallback () const
QDomElement | save1 (const QString &tag, QDomDocument &qDoc)
bool | isUMLActor ()
bool | isUMLArtifact ()
bool | isUMLAssociation ()
bool | isUMLAttribute ()
bool | isUMLCategory ()
bool | isUMLCheckConstraint ()
bool | isUMLClassifier ()
bool | isUMLComponent ()
bool | isUMLDatatype ()
bool | isUMLEntity ()
bool | isUMLEntityAttribute ()
bool | isUMLEntityConstraint ()
bool | isUMLEnum ()
bool | isUMLEnumLiteral ()
bool | isUMLFolder ()
bool | isUMLForeignKeyConstraint ()
bool | isUMLInstance ()
bool | isUMLInstanceAttribute ()
bool | isUMLNode ()
bool | isUMLObject ()
bool | isUMLOperation ()
bool | isUMLPackage ()
bool | isUMLPort ()
bool | isUMLRole ()
bool | isUMLStereotype ()
bool | isUMLTemplate ()
bool | isUMLUniqueConstraint ()
bool | isUMLUseCase ()
UMLActor * | asUMLActor ()
UMLArtifact * | asUMLArtifact ()
UMLAssociation * | asUMLAssociation ()
UMLAttribute * | asUMLAttribute ()
UMLCanvasObject * | asUMLCanvasObject ()
UMLCategory * | asUMLCategory ()
UMLCheckConstraint * | asUMLCheckConstraint ()
UMLClassifier * | asUMLClassifier ()
UMLClassifierListItem * | asUMLClassifierListItem ()
UMLClassifierSet * | asUMLClassifierSet ()
UMLComponent * | asUMLComponent ()
UMLDatatype * | asUMLDatatype ()
UMLEntity * | asUMLEntity ()
UMLEntityAttribute * | asUMLEntityAttribute ()
UMLEntityConstraint * | asUMLEntityConstraint ()
UMLEnum * | asUMLEnum ()
UMLEnumLiteral * | asUMLEnumLiteral ()
UMLFolder * | asUMLFolder ()
UMLForeignKeyConstraint * | asUMLForeignKeyConstraint ()
UMLInstance * | asUMLInstance ()
UMLInstanceAttribute * | asUMLInstanceAttribute ()
UMLNode * | asUMLNode ()
UMLObject * | asUMLObject ()
UMLOperation * | asUMLOperation ()
UMLPackage * | asUMLPackage ()
UMLPort * | asUMLPort ()
UMLRole * | asUMLRole ()
UMLStereotype * | asUMLStereotype ()
UMLTemplate * | asUMLTemplate ()
UMLUniqueConstraint * | asUMLUniqueConstraint ()
UMLUseCase * | asUMLUseCase ()

## Additional Inherited Members
Public Types inherited from UMLObject
enum | ObjectType { ot_Unknown = -1 , ot_UMLObject = 100 , ot_Actor , ot_UseCase , ot_Package , ot_Interface , ot_Datatype , ot_Enum , ot_Class , ot_Instance , ot_Association , ot_Attribute , ot_Operation , ot_EnumLiteral , ot_Template , ot_Component , ot_Artifact , ot_Node , ot_Stereotype , ot_Role , ot_Entity , ot_EntityAttribute , ot_Folder , ot_EntityConstraint , ot_UniqueConstraint , ot_ForeignKeyConstraint , ot_CheckConstraint , ot_Category , ot_Port , ot_InstanceAttribute , ot_SubSystem }
Public Slots inherited from UMLObject
void | emitModified ()
Signals inherited from UMLObject
void | modified ()
Static Public Member Functions inherited from UMLObject
static QString | toString (ObjectType ot)
static QString | toI18nString (ObjectType t)
static Icon_Utils::IconType | toIcon (ObjectType t)
Protected Member Functions inherited from UMLObject
void | init ()
void | maybeSignalObjectCreated ()
virtual bool | load1 (QDomElement &element)
Protected Attributes inherited from UMLObject
Uml::ID::Type | m_nId
| object's id More...
QString | m_Doc
| object's documentation More...
QPointer< UMLStereotype > | m_pStereotype
| stereotype of the object if applicable More...
QString | m_name
| objects name More...
ObjectType | m_BaseType
| objects type More...
Uml::Visibility::Enum | m_visibility
| objects visibility More...
bool | m_bAbstract
| state of whether the object is abstract or not More...
bool | m_bStatic
| flag for instance scope More...
bool | m_bInPaste
| caller sets this true when in paste operation More...
bool | m_bCreationWasSignalled
| auxiliary to maybeSignalObjectCreated() More...
QPointer< UMLObject > | m_pSecondary
QString | m_SecondaryId
QString | m_SecondaryFallback
UMLObjectPrivate * | m_d
| private data More...

## Detailed Description

A base class for classifier list items (e.g. attributes)

Classifiers (classes, interfaces) have lists of operations, attributes, templates and others. This is a base class for the items in this list. This abstraction should remove duplication of dialogs and allow for stereotypes in lists.

Author
  Jonathan Riddell Bugs and comments to umbre.nosp@m.llo-.nosp@m.devel.nosp@m.@kde.nosp@m..org or https://bugs.kde.org

## Constructor & Destructor Documentation

## ◆ UMLClassifierListItem() [1/2]

UMLClassifierListItem::UMLClassifierListItem | ( | UMLObject * | parent,
|  | const QString & | name,
|  | Uml::ID::Type | id = `Uml::ID::None`
| ) |  |

Constructor.

Parameters

  parent | The parent to this operation. At first sight it would appear that the type of the parent should be UMLClassifier. However, the class UMLAttribute is also used for the parameters of operations, and in this case the UMLOperation is the parent.
  name | The name of the operation.
  id | The id of the operation.

## ◆ UMLClassifierListItem() [2/2]

UMLClassifierListItem::UMLClassifierListItem | ( | UMLObject * | parent | ) |
| explicit

Constructor.

Parameters

  parent | The parent to this operation. At first sight it would appear that the type of the parent should be UMLClassifier. However, the class UMLAttribute is also used for the parameters of operations, and in this case the UMLOperation is the parent.

## ◆ ~UMLClassifierListItem()

UMLClassifierListItem::~UMLClassifierListItem | ( |  | ) |
| virtual

Destructor. Empty.

## Member Function Documentation

## ◆ clone()

virtual UMLObject* UMLClassifierListItem::clone | ( |  | ) | const
| pure virtual

The abstract method UMLObject::clone() must be implemented by the classes inheriting from UMLClassifierListItem.

Reimplemented from UMLObject.

Implemented in UMLEntityConstraint, UMLUniqueConstraint, UMLTemplate, UMLOperation, UMLForeignKeyConstraint, UMLEnumLiteral, UMLEntityAttribute, UMLCheckConstraint, and UMLAttribute.

## ◆ copyInto()

void UMLClassifierListItem::copyInto | ( | UMLObject * | lhs | ) | const
| virtual

Copy the internal presentation of this object into the new object.

Reimplemented from UMLObject.

Reimplemented in UMLUniqueConstraint, UMLTemplate, UMLOperation, UMLForeignKeyConstraint, UMLEnumLiteral, UMLEntityConstraint, UMLEntityAttribute, UMLCheckConstraint, and UMLAttribute.

## ◆ getType()

UMLClassifier * UMLClassifierListItem::getType | ( |  | ) | const

Returns the type of the UMLClassifierListItem.

Returns
  The type of the UMLClassifierListItem.

## ◆ getTypeName()

QString UMLClassifierListItem::getTypeName | ( |  | ) | const
| virtual

Returns the type name of the UMLClassifierListItem.

Returns
  The type name of the UMLClassifierListItem.

Reimplemented in UMLTemplate.

## ◆ setType()

void UMLClassifierListItem::setType | ( | UMLObject * | type | ) |
| virtual

Sets the type of the UMLAttribute.

Parameters

  type | Pointer to the UMLObject of the type.

Reimplemented in UMLOperation.

## ◆ setTypeName()

void UMLClassifierListItem::setTypeName | ( | const QString & | type | ) |

Sets the type name of the UMLClassifierListItem. DEPRECATED - use setType() instead.

Parameters

  type | The type name of the UMLClassifierListItem.

## ◆ toString()

QString UMLClassifierListItem::toString | ( | Uml::SignatureType::Enum | sig = `Uml::SignatureType::NoSig`,
|  | bool | withStereotype = `false`
| ) |  |
| virtual

Returns a string representation of the list item.

Parameters

  sig | What type of operation string to show.

Returns
  The string representation of the operation.

Reimplemented in UMLUniqueConstraint, UMLTemplate, UMLOperation, UMLForeignKeyConstraint, UMLEnumLiteral, UMLEntityAttribute, UMLCheckConstraint, and UMLAttribute.

The documentation for this class was generated from the following files:

- umbrello/uml1model/classifierlistitem.h
- umbrello/uml1model/classifierlistitem.cpp